diff --git a/go.mod b/go.mod
index 979b686..a2c70ed 100644
--- a/go.mod
+++ b/go.mod
@@ -13,11 +13,15 @@ require (
 require (
 	filippo.io/edwards25519 v1.1.0 // indirect
 	github.com/anmitsu/go-shlex v0.0.0-20200514113438-38f4b401e2be // indirect
+	github.com/go-ole/go-ole v1.2.6 // indirect
 	github.com/go-sql-driver/mysql v1.9.3 // indirect
 	github.com/google/uuid v1.6.0 // indirect
 	github.com/kr/fs v0.1.0 // indirect
 	github.com/kr/pretty v0.3.0 // indirect
 	github.com/rogpeppe/go-internal v1.8.0 // indirect
+	github.com/tklauser/go-sysconf v0.3.15 // indirect
+	github.com/tklauser/numcpus v0.10.0 // indirect
+	github.com/yusufpapurcu/wmi v1.2.4 // indirect
 	golang.org/x/mod v0.26.0 // indirect
 	golang.org/x/sync v0.16.0 // indirect
 	golang.org/x/tools v0.35.0 // indirect
@@ -50,6 +54,7 @@ require (
 	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
 	github.com/modern-go/reflect2 v1.0.2 // indirect
 	github.com/pelletier/go-toml/v2 v2.2.4 // indirect
+	github.com/shirou/gopsutil v3.21.11+incompatible
 	github.com/twitchyliquid64/golang-asm v0.15.1 // indirect
 	github.com/ugorji/go/codec v1.3.0 // indirect
 	golang.org/x/arch v0.19.0 // indirect
diff --git a/internal/controllers/folderController.go b/internal/controllers/folderController.go
index 5d6e1bc..3716499 100644
--- a/internal/controllers/folderController.go
+++ b/internal/controllers/folderController.go
@@ -239,5 +239,49 @@ func DetailHandler() gin.HandlerFunc {
 }
 
 
+// DeleteHandler : supprime un fichier ou un dossier (avec tout son contenu)
+func DeleteHandler() gin.HandlerFunc {
+	return func(c *gin.Context) {
+		base := "upload"
+
+		// Récupération du chemin
+		rel := c.Query("path")
+		if rel == "" {
+			c.JSON(http.StatusBadRequest, gin.H{"error": "Chemin requis"})
+			return
+		}
+
+		// Nettoyage et sécurité
+		rel = filepath.Clean("/" + rel)
+		rel = strings.TrimPrefix(rel, "/")
+		absPath := filepath.Join(base, rel)
+
+		baseAbs, _ := filepath.Abs(base)
+		absPath, _ = filepath.Abs(absPath)
+		if !strings.HasPrefix(absPath, baseAbs) {
+			c.JSON(http.StatusForbidden, gin.H{"error": "Chemin invalide"})
+			return
+		}
+
+		// Vérifie existence
+		if _, err := os.Stat(absPath); os.IsNotExist(err) {
+			c.JSON(http.StatusNotFound, gin.H{"error": "Fichier ou dossier inexistant"})
+			return
+		}
+
+		// Supprime fichier ou dossier (recursif pour dossier)
+		if err := os.RemoveAll(absPath); err != nil {
+			c.JSON(http.StatusInternalServerError, gin.H{"error": "Erreur lors de la suppression", "details": err.Error()})
+			return
+		}
+
+		c.JSON(http.StatusOK, gin.H{
+			"success": true,
+			"deleted": rel,
+		})
+	}
+}
+
+
 
 
diff --git a/internal/controllers/folder_stats.go b/internal/controllers/folder_stats.go
new file mode 100644
index 0000000..9ddf25c
--- /dev/null
+++ b/internal/controllers/folder_stats.go
@@ -0,0 +1,124 @@
+package controllers
+
+import (
+	"net/http"
+	"os"
+	"path/filepath"
+	"strings"
+
+	"github.com/gin-gonic/gin"
+	"github.com/shirou/gopsutil/cpu"
+	"github.com/shirou/gopsutil/disk"
+	"github.com/shirou/gopsutil/mem"
+)
+
+type FolderStat struct {
+	Name     string       `json:"Name"`
+	Path     string       `json:"Path"`
+	Size     int64        `json:"Size"`
+	IsDir    bool         `json:"IsDir"`
+	Children []FolderStat `json:"Children,omitempty"`
+}
+
+type SystemStats struct {
+	CPUUsage     float64 `json:"CPUUsage"`
+	TotalRAM     uint64  `json:"TotalRAM"`
+	UsedRAM      uint64  `json:"UsedRAM"`
+	FreeRAM      uint64  `json:"FreeRAM"`
+	UsedRAMPct   float64 `json:"UsedRAMPct"`
+	DiskTotal    uint64  `json:"DiskTotal"`
+	DiskFree     uint64  `json:"DiskFree"`
+	DiskUsed     uint64  `json:"DiskUsed"`
+	DiskUsedPct  float64 `json:"DiskUsedPct"`
+}
+
+// calcule récursivement la taille d’un dossier
+func getFolderStats(absPath, relPath string) (FolderStat, error) {
+	info, err := os.Stat(absPath)
+	if err != nil {
+		return FolderStat{}, err
+	}
+
+	stat := FolderStat{
+		Name:  info.Name(),
+		Path:  relPath,
+		IsDir: info.IsDir(),
+		Size:  0,
+	}
+
+	if !info.IsDir() {
+		stat.Size = info.Size()
+		return stat, nil
+	}
+
+	entries, err := os.ReadDir(absPath)
+	if err != nil {
+		return stat, err
+	}
+
+	var total int64
+	for _, entry := range entries {
+		childAbs := filepath.Join(absPath, entry.Name())
+		childRel := filepath.Join(relPath, entry.Name())
+		childStat, err := getFolderStats(childAbs, childRel)
+		if err != nil {
+			continue
+		}
+		stat.Children = append(stat.Children, childStat)
+		total += childStat.Size
+	}
+	stat.Size = total
+
+	return stat, nil
+}
+
+// Handler principal
+func FolderStatsHandler() gin.HandlerFunc {
+	return func(c *gin.Context) {
+		base := "upload"
+		rel := c.Query("path")
+		if rel == "" {
+			rel = ""
+		}
+		rel = filepath.Clean("/" + rel)
+		rel = strings.TrimPrefix(rel, "/")
+		absPath := filepath.Join(base, rel)
+
+		baseAbs, _ := filepath.Abs(base)
+		absPath, _ = filepath.Abs(absPath)
+		if !strings.HasPrefix(absPath, baseAbs) {
+			c.JSON(http.StatusForbidden, gin.H{"error": "Chemin invalide"})
+			return
+		}
+
+		// stats dossier
+		folderStats, err := getFolderStats(absPath, rel)
+		if err != nil {
+			c.JSON(http.StatusInternalServerError, gin.H{"error": "Impossible de calculer les stats"})
+			return
+		}
+
+		// stats système
+		cpuPercent, _ := cpu.Percent(0, false)
+		memStats, _ := mem.VirtualMemory()
+		diskStats, _ := disk.Usage(baseAbs)
+
+		sysStats := SystemStats{
+			CPUUsage:    cpuPercent[0],
+			TotalRAM:    memStats.Total,
+			UsedRAM:     memStats.Used,
+			FreeRAM:     memStats.Available,
+			UsedRAMPct:  memStats.UsedPercent,
+			DiskTotal:   diskStats.Total,
+			DiskFree:    diskStats.Free,
+			DiskUsed:    diskStats.Used,
+			DiskUsedPct: diskStats.UsedPercent,
+		}
+
+		// réponse
+		c.JSON(http.StatusOK, gin.H{
+			"folderStats": folderStats,
+			"systemStats": sysStats,
+		})
+	}
+}
diff --git a/internal/routes/routes.go b/internal/routes/routes.go
index cd7b07d..e783cdc 100644
--- a/internal/routes/routes.go
+++ b/internal/routes/routes.go
@@ -56,6 +56,7 @@ func pathRoute (superRoute *gin.RouterGroup,db *gorm.DB){
 		pathRoutes.PUT("/save-path/:id", middlewares.CheckAuth(db),controllers.UpdateSavePath(db))
 		pathRoutes.DELETE("/save-path/:id", middlewares.CheckAuth(db),controllers.DeleteSavePath(db))
 		pathRoutes.POST("/save-path/validate", middlewares.CheckAuth(db),controllers.PathValidationHandler)
+		
 	}
 
 }
@@ -66,6 +67,8 @@ func folderRoute (superRoute *gin.RouterGroup,db *gorm.DB){
 	{
 		folderRoutes.GET("/",middlewares.CheckAuth(db),controllers.StreamHandler(db))
 		folderRoutes.GET("/details",middlewares.CheckAuth(db),controllers.DetailHandler())
+		folderRoutes.DELETE("/", middlewares.CheckAuth(db), controllers.DeleteHandler())
+		folderRoutes.GET("/stats", middlewares.CheckAuth(db), controllers.FolderStatsHandler()) 
 		folderRoutes.GET("/file", middlewares.CheckAuth(db), func(c *gin.Context) {
 			path := c.Query("path")
 			filePath := filepath.Join("upload", filepath.Clean("/"+path))
